x509: CERT_DECODE actually requires KEY_ANY
authorTobias Brunner <tobias@strongswan.org>
Thu, 6 Mar 2014 11:20:55 +0000 (12:20 +0100)
committerTobias Brunner <tobias@strongswan.org>
Mon, 31 Mar 2014 12:32:44 +0000 (14:32 +0200)
commit5119c5fe97428fdceac1f89b3c77a72cf5f10f3a
tree97edee36b5a7ea85bbc36b4a1bfd956d07289f80
parent05240280540fbe9455661eea7a59cff943d7c7a3
x509: CERT_DECODE actually requires KEY_ANY

More specific decoders might still be needed, but the x509
plugin should not care which ones.
src/libstrongswan/plugins/x509/x509_plugin.c